Skip to main content
POST
/
entities
/
{ent_id}
/
subscriptions
curl https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/subscriptions \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "enroll": "attribute",
    "payload": {
      "attributes": {
        "bundles": ["portfolio_intelligence"],
        "requested_attributes": ["credit_card_utilization", "revolving_credit_card_balance_total"]
      }
    }
  }'
{
  "id": "sub_c3a7hVjHCJzF3",
  "name": "attribute",
  "status": "active",
  "payload": {
    "attributes": {
      "bundles": ["portfolio_intelligence"],
      "requested_attributes": ["credit_card_utilization", "revolving_credit_card_balance_total"]
    }
  },
  "latest_request_id": null,
  "created_at": "2026-04-09T17:02:47.910Z",
  "updated_at": "2026-04-09T17:02:47.910Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Enrolls an Entity to a Subscription. Once enrolled, the Subscription name and details will be present on the response object.

Path Parameters

Body

Returns

Returns a Subscription object.
When subscribing to attribute, you must provide at least one of requested_attributes or bundles. Use requested_attributes to specify individual attributes by name (see Available Attributes), or bundles to subscribe to a pre-defined grouping of attributes (see Available Bundles for the full list and what each bundle expands to). The two can be combined to enroll in a bundle plus extra individual attributes.
curl https://production.methodfi.com/entities/ent_TYHMaRJUUeJ7U/subscriptions \
  -X POST \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "enroll": "attribute",
    "payload": {
      "attributes": {
        "bundles": ["portfolio_intelligence"],
        "requested_attributes": ["credit_card_utilization", "revolving_credit_card_balance_total"]
      }
    }
  }'
{
  "id": "sub_c3a7hVjHCJzF3",
  "name": "attribute",
  "status": "active",
  "payload": {
    "attributes": {
      "bundles": ["portfolio_intelligence"],
      "requested_attributes": ["credit_card_utilization", "revolving_credit_card_balance_total"]
    }
  },
  "latest_request_id": null,
  "created_at": "2026-04-09T17:02:47.910Z",
  "updated_at": "2026-04-09T17:02:47.910Z"
}